Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class BaseXTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.ejie.r01f.taglibs.xtags.BaseXTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  BaseXTagWithEvents, CheckList, EditTag, ObjectListTag, ObjectTag

public abstract class BaseXTag
extends javax.servlet.jsp.tagext.BodyTagSupport

Clase base para los elementos de un formulario html. Esta clase no implementa los métodos doStartTag() y doEndTag() que deben ser implementados por las subclases.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseXTag()`

Method Summary
`java.lang.String` | `getCheck()` Devuelve la expresion que se comprueba para validar el valor del tag Normalmente es una funcion en JavaScript
`java.lang.String` | `getFullPathName()` Obtiene el nombre del objeto con toda la jerarquia, para lo cual asciende por la jerarquia de xtags...
`boolean` | `getGenerateHTML()` Devuelve si hay que generar el HTML
`boolean` | `getGenerateJS()` Devuelve si hay que generar el JavaScript para recuperar el XML con el formulario o no.
`java.lang.String` | `getId()` Devuelve el id del tag
`boolean` | `getIsAttribute()` Devuelve si el valor del tag se va a devolver en el xml resultante en un elemento tipo atributo
`boolean` | `getIsCDATA()` Devuleve si el valor del tag se va a colocar en un elemento tipo CDATA en el xml resultante
`java.lang.String` | `getName()` Devuelve el nombre del tag
`java.lang.String` | `getXmlElemName()` Devuelve el nombre del elemento XML en el que se colocará el valor del tag return: El nombre del elemento xml
`void` | `release()`
`void` | `setCheck(java.lang.String x)` Establece la expresión que se comprueba para validar el valor del tag Normalmente es una función en JavaScript
`void` | `setGenerateHTML(boolean x)` Establece si hay que generar el HTML
`void` | `setGenerateJS(boolean x)` Establece si hay que generar el JavaScript para recuperar el XML con el formulario o no
`void` | `setId(java.lang.String x)` Establece el id del tag
`void` | `setIsAttribute(boolean x)` Establece si el valor del tag se va a devolver en un elemento tipo atributo en el xml resultante
`void` | `setIsCDATA(boolean x)` Establece si el valor del tag se va a colocar en un elemento tipo CDATA en el xml resultante
`void` | `setName(java.lang.String x)` Establece el nombre del tag
`void` | `setXmlElemName(java.lang.String x)` Establece el nombre del elemento XML en el que se devolverá el valor del tag

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### BaseXTag

    public BaseXTag()

Method Detail

### release

    public void release()

### getFullPathName

    public java.lang.String getFullPathName()

  Obtiene el nombre del objeto con toda la jerarquia, para lo cual asciende por la jerarquia de xtags... Por ejemplo obtiene: proyecto/interlocutor/nombre

### getName

    public java.lang.String getName()

  Devuelve el nombre del tag

### setName

    public void setName(java.lang.String x)

  Establece el nombre del tag

### getId

    public java.lang.String getId()

  Devuelve el id del tag

  Returns:
    El id del tag

### setId

    public void setId(java.lang.String x)

  Establece el id del tag

### getXmlElemName

    public java.lang.String getXmlElemName()

  Devuelve el nombre del elemento XML en el que se colocará el valor del tag return: El nombre del elemento xml

### setXmlElemName

    public void setXmlElemName(java.lang.String x)

  Establece el nombre del elemento XML en el que se devolverá el valor del tag

### getIsAttribute

    public boolean getIsAttribute()

  Devuelve si el valor del tag se va a devolver en el xml resultante en un elemento tipo atributo

### setIsAttribute

    public void setIsAttribute(boolean x)

  Establece si el valor del tag se va a devolver en un elemento tipo atributo en el xml resultante

### getIsCDATA

    public boolean getIsCDATA()

  Devuleve si el valor del tag se va a colocar en un elemento tipo CDATA en el xml resultante

### setIsCDATA

    public void setIsCDATA(boolean x)

  Establece si el valor del tag se va a colocar en un elemento tipo CDATA en el xml resultante

### getCheck

    public java.lang.String getCheck()

  Devuelve la expresion que se comprueba para validar el valor del tag Normalmente es una funcion en JavaScript

### setCheck

    public void setCheck(java.lang.String x)

  Establece la expresión que se comprueba para validar el valor del tag Normalmente es una función en JavaScript

### getGenerateJS

    public boolean getGenerateJS()

  Devuelve si hay que generar el JavaScript para recuperar el XML con el formulario o no.

### setGenerateJS

    public void setGenerateJS(boolean x)

  Establece si hay que generar el JavaScript para recuperar el XML con el formulario o no

### getGenerateHTML

    public boolean getGenerateHTML()

  Devuelve si hay que generar el HTML

### setGenerateHTML

    public void setGenerateHTML(boolean x)

  Establece si hay que generar el HTML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD